Bug 238985 - "Send Again" does not respect Reply-To header
Summary: "Send Again" does not respect Reply-To header
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: 1.13.3
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-27 09:41 UTC by Christoph Lange
Modified: 2012-07-31 17:56 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Lange 2010-05-27 09:41:07 UTC
Version:           1.13.3 (using KDE 4.4.3) 
OS:                Linux

I had sent a mail with a Reply-To address and wanted to send that mail again to some other address, using "Send Again" (from the "Message" or context menu).  In the composer window that I got, Reply-To was either not displayed (in case I had that field disabled globally), or it was displayed with empty content.

BTW, I didn't notice any obvious difference between "Send Again" and "Message"→"Edit Message".  Both take me to the same composer window.

Reproducible: Always

Steps to Reproduce:
0. Enable "view"→"Reply-To" in some composer window
1. Select a message that has a Reply-To header (e.g. from sent-mail)
2. choose "send again"

Actual Results:  
you get a composer window whose Reply-To field is empty

Expected Results:  
the Reply-To address of the message that I want to send again should be shown in the Reply-To field

OS: Linux (x86_64) release 2.6.31-thinkpad
Compiler: x86_64-pc-linux-gnu-gcc
Comment 1 Laurent Montel 2012-07-31 17:55:59 UTC
Git commit 8074c2728aa5679db62e7f4e79d3ee7114c6b5ab by Montel Laurent.
Committed on 31/07/2012 at 19:55.
Pushed by mlaurent into branch 'KDE/4.9'.

Fix Bug 238985 - "Send Again" does not respect Reply-To header

FIXED-IN: 4.9.1

M  +1    -0    kmail/composer.h
M  +10   -0    kmail/kmcommands.cpp
M  +9    -1    kmail/kmcomposewin.cpp
M  +1    -0    kmail/kmcomposewin.h

http://commits.kde.org/kdepim/8074c2728aa5679db62e7f4e79d3ee7114c6b5ab